PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
LDO
PDL API Reference » SysPm (System Power Management) » Functions » Core Voltage Regulation

## General Description

## Functions
cy_en_syspm_status_t | Cy_SysPm_LdoSetMode (cy_en_syspm_ldo_mode_t mode)
| Configures the core LDO regulator operating mode to one of three modes. More...
__STATIC_INLINE cy_en_syspm_ldo_mode_t | Cy_SysPm_LdoGetMode (void)
| Returns the current core LDO regulator operating mode. More...

## Function Documentation

## ◆ Cy_SysPm_LdoSetMode()

cy_en_syspm_status_t Cy_SysPm_LdoSetMode | ( | cy_en_syspm_ldo_mode_t | mode | ) |

Configures the core LDO regulator operating mode to one of three modes.

Disabled - turns off the LDO regulator and should be selected only after the Buck regulator is operating. Normal mode configures the LDO for operation at the maximum output current limit. Minimal current mode optimizes the LDO at a reduced output current limit. Specific device current limits can be found in the device datasheet.

Parameters

  mode | The desired LDO regulator operating mode. See cy_en_syspm_ldo_mode_t mode

Returns
  - CY_SYSPM_SUCCESS - Requested regulator current mode was set
  - CY_SYSPM_CANCELED - The power circuits were not ready to enter into minimum current mode. You should try to call the function again
  - CY_SYSPM_TIMEOUT - Timeout occurred because of active reference was not ready to enter into the normal regulator current mode
  - CY_SYSPM_FAIL - incorrect mode value was passed For the PSoC 64 devices there are possible situations when function returns the PRA error status code. This is because for PSoC 64 devices the function uses the PRA driver to change the protected registers. Refer to cy_en_pra_status_t for more details.

Side Effects
  For PSoC 64 series devices CY_SYSPM_LDO_MODE_DISABLED mode is not supported. Use Cy_SysPm_BuckEnable() instead.

## ◆ Cy_SysPm_LdoGetMode()

__STATIC_INLINE cy_en_syspm_ldo_mode_t Cy_SysPm_LdoGetMode | ( | void |  | ) |

Returns the current core LDO regulator operating mode.

Returns
  The LDO regulator operating mode. See cy_en_syspm_ldo_mode_t mode